Liquid errors when using server keys

For server keys - like passcode, secret link, Mailchimp, IP address, or geolocation keys - you might see an error like this one:

Array 'collection.products' is not paginateable.

This error appears in version v4 of Locksmith and before. The fix: upgrade to the latest version! Follow these steps:

  1. Open Locksmith, click on "Navigation" and then "Settings."
  2. Scroll all the way to the bottom to the "Advanced" section.
  3. Use the version dropdown box to select the newest version of Locksmith, and hit the save button.

That's it! Now that you've upgraded, it's a good idea to read the Locksmith version history notes for details and known limitations for your new version.

Did this answer your question? Thanks for the feedback There was a problem submitting your feedback. Please try again later.